%define		_class		MDB
%define		upstream_name	%{_class}

%define		_requires_exceptions pear(test_setup.php)\\|pear(PHPUnit.php)

Name:		php-pear-%{upstream_name}
Version:	1.3.0
Release:	%mkrel 18
Summary:	Unified database API
Epoch:		1
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/MDB/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tar.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear


%description
MDB is a merge of PEAR's DB and Metabases that provides a unified DB
API. It also provides methods for DB portability and DB feature
emulation. Most notably it features a DB independent XML-Schema
manager.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
rm -rf %{buildroot}

cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc %{upstream_name}-%{version}/MAINTAINERS
%doc %{upstream_name}-%{version}/README
%doc %{upstream_name}-%{version}/TODO
%doc %{upstream_name}-%{version}/doc/*
%{_datadir}/pear/%{_class}
%{_datadir}/pear/%{_class}.php
%{_datadir}/pear/packages/%{upstream_name}.xml




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1:1.3.0-18.mga3
+ Revision: 376809
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 27 2011 spuhler <spuhler> 1:1.3.0-17.mga1
+ Revision: 41779
- increase rel for rebuild

* Thu Jan 20 2011 spuhler <spuhler> 1:1.3.0-16.mga1
+ Revision: 25467
- removed the remaining if mdkversion lines
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-MDB

